import { z } from 'zod';

export const RegisterSchema = z.object({
	firstname: z
		.string()
		.min(
			2,
			'Bitte gib Deinen vollständigen Vornamen an, dieser muss mindestens aus 2 Zeichen bestehen'
		),
	lastname: z
		.string()
		.min(
			2,
			'Bitte gib Deinen vollständigen Nachnamen an, dieser muss mindestens aus 2 Zeichen bestehen'
		),
	birthday: z.coerce
		.date()
		.max(
			new Date(Date.now() - 1000 * 60 * 60 * 24 * 365 * 6),
			'Bitte gib Deinen vollständigen Geburtstag und die korrekte Jahreszahl an. Du musst mindestens 6 Jahre alt sein.'
		),
	telephone: z.string().optional(),
	username: z.string(),
	playertype: z.enum(['java', 'bedrock', 'noauth'])
});
